Skip to content

eth_getStorageAt

Returns the value held at a storage position for a given contract address.

PositionNameTypeDescription
1addressstringThe 20-byte address that owns the storage. Required.
2positionstringThe storage slot position as a hexadecimal integer. Required.
3blockstringBlock number in hex, or "latest", "pending", "safe", "finalized", "earliest". Required.
FieldTypeDescription
resultstringThe value at the storage position as a 32-byte hex string.
Terminal window
curl https://mainnet.base.org \
-X POST \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "eth_getStorageAt",
"params": ["0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "0x0", "latest"],
"id": 1
}'
{
"jsonrpc": "2.0",
"id": 1,
"result": "0x0000000000000000000000000000000000000000000000000000000000000001"
}